<div class="container">
  <h2>Edit <%= resource_name.to_s.humanize %></h2>

  <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { class: "form-horizontal", method: :put }) do |f| %>
    <%= devise_error_messages! %>

     <div class="form-group">
      <div class="control-label col-md-1">
        <%= f.label :name %>
      </div>
      <div class="col-md-8">
        <%= f.text_field :name, class: "form-control", placeholder: "Name" %>
      </div>
    </div>

    <div class="form-group">
      <div class="control-label col-md-1">
        <%= f.label :email %>
      </div>
      <div class="col-md-8">
        <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "form-control", placeholder: "Email" %>
      </div>
    </div>

    <div class="form-group">
      <div class="control-label col-md-1">
        <label>Affiliate Paypal Email</label>
      </div>
      <div class="col-md-8">
        <%= f.text_field :paypal, class: "form-control", placeholder: "Paypal Email" %>
      </div>
    </div>

    <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
      <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
    <% end %>

    <div class="form-group">
      <div class="control-label col-md-1">
        <%= f.label :password %>
      </div> 
      <div class="col-md-8">
        <%= f.password_field :password, autocomplete: "new-password", class: "form-control" %>
         <p class="help-block">(leave blank if you don't want to change it)<% if @minimum_password_length %>
          <br />
          <%= @minimum_password_length %> characters minimum
        <% end %></p>
        </div>
    </div>

    <div class="form-group">
      <div class="control-label col-md-1">
        <%= f.label :password_confirmation %>
      </div> 
      <div class="col-md-8">
        <%= f.password_field :password_confirmation, autocomplete: "new-password", class: "form-control" %>
      </div>
    </div>

    <div class="form-group">
      <div class="control-label col-md-1">
        <%= f.label :current_password %>
      </div> 
      <div class="col-md-8"> 
        <%= f.password_field :current_password, autocomplete: "current-password", class: "form-control" %>
        <p class="help-block">(we need your current password to confirm your changes)</p>
      </div>
    </div>

    <div class="form-group">
      <div class="col-md-8 col-md-offset-1">
        <%= f.submit "Update Account", class:"btn btn-primary" %>
      </div>
    </div>
  <% end %>


  <div class="row">
    <div class="col-md-offset-1 col-md-8">
      <%= link_to(:back) do %><button class="btn btn-warning">Cancel & Go Back</button><% end%>
    </div>
  </div>

</div>